Loading...
Searching...
No Matches
BaseAquiferModel.hpp File Reference

The base class which specifies the API of aquifer models. More...

`#include <opm/models/discretization/common/fvbaseproperties.hh>`
`#include <opm/models/utils/basicproperties.hh>`
`#include <opm/models/utils/propertysystem.hh>`
`#include <opm/output/data/Aquifer.hpp>`
`#include <stdexcept>`

Go to the source code of this file.

## Classes

class | Opm::BaseAquiferModel< TypeTag >
| The base class which specifies the API of aquifer models. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

The base class which specifies the API of aquifer models.

This class only provides the API for the actual aquifer model, it does not do anything on its own.